Bug 176381 - Better way to fetch device IDs from USB printers
Better way to fetch device IDs from USB printers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 19:11 EST by David Woodhouse
Modified: 2013-03-05 22:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel patch to make device ID available in sysfs (2.29 KB, patch)
2005-12-23 11:22 EST, David Woodhouse
no flags Details | Diff

  None (edit)
Description David Woodhouse 2005-12-21 19:11:19 EST
printconf_conf.py contains this gem:

        magic_perl = "perl -e 'ioctl(STDIN,0x84005001,$result);"
        magic_perl += "print $result' 2>/dev/null <"
        foo = os.popen (magic_perl + dev)


That magic number is supposed to be IOCNR_GET_DEVICE_ID(0x400), which is 
_IOR(_IOC_READ, 'P', 1, 0x400), which in turn comes out at 0x44005001 on my
platform du jour. And thus autoprobe of USB printers is failing.
Comment 1 David Woodhouse 2005-12-23 11:22:35 EST
Created attachment 122564 [details]
kernel patch to make device ID available in sysfs

Would this help?

pmac /sys/devices # for a in `find . -name ieee1284_id` ; do cat $a ; echo ;
done
MFG:EPSON;CMD:ESCPL2,BDC,D4;MDL:Stylus Photo 830U;CLS:PRINTER;DES:EPSON Stylus
Photo 830U;
MFG:Hewlett-Packard;CMD:PJL,MLC,PCL,PCLXL,POSTSCRIPT;MDL:HP LaserJet
1200;CLS:PRINTER;DES:Hewlett-Packard LaserJet 1200;MEM:8MB
Comment 2 David Woodhouse 2006-01-09 08:48:57 EST
The kernel patch is now in the upstream kernel and also now building in the FC5
kernel-2.6.15-1.1826.2.6.FC5. Please use it :)
Comment 3 David Woodhouse 2006-03-16 11:54:14 EST
Did this get fixed for FC5? Do we use the information in sysfs instead of the
broken ioctl code now?
Comment 4 Tim Waugh 2006-03-16 12:52:54 EST
Busy fixing the larger problem of 'printconf is generally rubbish'.  I expect
we'll use the sysfs code in hal.
Comment 5 Tim Waugh 2007-01-15 07:18:25 EST
Reassigning to hal so that it can make use of this new sysfs interface.
Comment 6 Bug Zapper 2008-04-03 22:05:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 11:32:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.